import React from 'react';
import ReactDOM from 'react-dom';
import {Face} from './Face';
import {range} from 'd3';
const width = 166;
const height = 166;


const array = range(6 * 2);

const App = () => array.map(() => (
  <Face
      width={width}
      height={height}
      centerX = {width/2}
      centerY = {height / 2}
      strokeWidth = {10}
      eyeOffsetX = {30}
      eyeOffsetY = {20 + Math.random()*10}
      eyeRadius = {5 + Math.random()*10}
      mouthWidth = {5 + Math.random()*5}
      mouthRadius = {40}
    />
));

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);